--
-- Schema generated by Libformed
-- Wed, 2020-10-28 17:24:38 +0000
-- # Revision: $Revision: 8dcc83c778ca $
--
-- # tables: 7
--

--
-- GRANTS ON TABLES
--
--
--
-- views for master table and repeat groups
--
CREATE OR REPLACE VIEW master_tbl_view
AS SELECT 
     master_tbl.id AS id,
     master_tbl.uuid_id AS uuid_id,
     master_tbl.bearbeiter_id AS bearbeiter_id,
     master_tbl.fkz AS fkz,
     master_tbl.phase AS phase,
     master_tbl.name_der_schule AS name_der_schule,
     master_tbl.schulform AS schulform,
     master_tbl.schulform_nennung_sonstige AS schulform_nennung_sonstige,
     master_tbl.schriftliche_kooperationsvereinbarung AS schriftliche_kooperationsvereinbarung,
     master_tbl.weitere_angaben_kooperationsvereinbarung AS weitere_angaben_kooperationsvereinbarung,
     master_tbl.datum_begin_kooperation AS datum_begin_kooperation,
     master_tbl.datum_ende_kooperation AS datum_ende_kooperation,
     master_tbl.praeventionskonzept_vorhanden AS praeventionskonzept_vorhanden,
     master_tbl.weitere_angaben_praeventionskonzept AS weitere_angaben_praeventionskonzept,
     ( COALESCE( (SELECT SUM( COALESCE( anzahl_individuelle_beratungen , 0 ) ) FROM rg_gruppenangebote_tbl rg WHERE rg.master_id = master_tbl.id ) , 0 ) ) as individuelle_beratungen_gesamt
FROM master_tbl
WHERE
    master_tbl.bearbeiter_id = getuserid()
    OR master_tbl.id IN (
        SELECT nm.master_id from nm_benutzer_master_tbl nm
        WHERE nm.benutzer_id IN (
            SELECT nm2.gruppe_id from nm_benutzer_gruppe_tbl nm2
            WHERE nm2.benutzer_id = getuserid()
        )
    )
    OR pg_has_role('admin','MEMBER');

CREATE OR REPLACE RULE master_tbl_update_rule AS ON UPDATE TO master_tbl_view
DO INSTEAD UPDATE master_tbl SET
    phase = NEW.phase,
    name_der_schule = NEW.name_der_schule,
    schulform = NEW.schulform,
    schulform_nennung_sonstige = NEW.schulform_nennung_sonstige,
    schriftliche_kooperationsvereinbarung = NEW.schriftliche_kooperationsvereinbarung,
    weitere_angaben_kooperationsvereinbarung = NEW.weitere_angaben_kooperationsvereinbarung,
    datum_begin_kooperation = NEW.datum_begin_kooperation,
    datum_ende_kooperation = NEW.datum_ende_kooperation,
    praeventionskonzept_vorhanden = NEW.praeventionskonzept_vorhanden,
    weitere_angaben_praeventionskonzept = NEW.weitere_angaben_praeventionskonzept
WHERE id = NEW.id;

CREATE OR REPLACE RULE master_tbl_delete_rule AS ON DELETE TO master_tbl_view
    DO INSTEAD NOTHING;

CREATE OR REPLACE RULE master_tbl_insert_rule AS ON INSERT TO master_tbl_view
    DO INSTEAD NOTHING;

GRANT SELECT ON master_tbl_view TO GROUP :cm_group;
GRANT UPDATE ON master_tbl_view TO GROUP :cm_group;
GRANT SELECT ON master_tbl_view TO GROUP :admin_group;

CREATE OR REPLACE VIEW master_tbl_anonym_view
AS SELECT
    master_tbl.id AS id,
    NULL::CHAR(36) AS uuid_id,
    master_tbl.bearbeiter_id AS bearbeiter_id,
    master_tbl.fkz AS fkz,
    master_tbl.phase AS phase,
    master_tbl.name_der_schule AS name_der_schule,
    master_tbl.schulform AS schulform,
    master_tbl.schulform_nennung_sonstige AS schulform_nennung_sonstige,
    master_tbl.schriftliche_kooperationsvereinbarung AS schriftliche_kooperationsvereinbarung,
    NULL::TEXT AS weitere_angaben_kooperationsvereinbarung,
    master_tbl.datum_begin_kooperation AS datum_begin_kooperation,
    master_tbl.datum_ende_kooperation AS datum_ende_kooperation,
    master_tbl.praeventionskonzept_vorhanden AS praeventionskonzept_vorhanden,
    NULL::TEXT AS weitere_angaben_praeventionskonzept,
    master_tbl.individuelle_beratungen_gesamt AS individuelle_beratungen_gesamt FROM master_tbl_view master_tbl
    INNER JOIN ka_status_tbl s ON master_tbl.id = s.master_id
    WHERE  s.status <> 3;

CREATE OR REPLACE RULE master_tbl_anonym_delete_rule AS ON DELETE TO master_tbl_anonym_view
    DO INSTEAD NOTHING;

CREATE OR REPLACE RULE master_tbl_anonym_insert_rule AS ON INSERT TO master_tbl_anonym_view
    DO INSTEAD NOTHING;

GRANT SELECT ON master_tbl_anonym_view TO GROUP :cm_group;
GRANT SELECT ON master_tbl_anonym_view TO GROUP :admin_group;

CREATE OR REPLACE VIEW rg_gruppenangebote_tbl_view
AS SELECT 
     rg_gruppenangebote_tbl.id AS id,
     rg_gruppenangebote_tbl.master_id AS master_id,
     rg_gruppenangebote_tbl.uuid_id AS uuid_id,
     rg_gruppenangebote_tbl.name_gruppenangebot AS name_gruppenangebot,
     rg_gruppenangebote_tbl.datum_start_gruppenangebot AS datum_start_gruppenangebot,
     rg_gruppenangebote_tbl.datum_ende_gruppenangebot AS datum_ende_gruppenangebot,
     rg_gruppenangebote_tbl.anzahl_teilnehmer_maennlich AS anzahl_teilnehmer_maennlich,
     rg_gruppenangebote_tbl.anzahl_teilnehmer_weiblich AS anzahl_teilnehmer_weiblich,
     rg_gruppenangebote_tbl.anzahl_teilnehmer_divers AS anzahl_teilnehmer_divers,
     rg_gruppenangebote_tbl.klassenstufe_5 AS klassenstufe_5,
     rg_gruppenangebote_tbl.klassenstufe_6 AS klassenstufe_6,
     rg_gruppenangebote_tbl.klassenstufe_7 AS klassenstufe_7,
     rg_gruppenangebote_tbl.klassenstufe_8 AS klassenstufe_8,
     rg_gruppenangebote_tbl.klassenstufe_9 AS klassenstufe_9,
     rg_gruppenangebote_tbl.klassenstufe_10 AS klassenstufe_10,
     rg_gruppenangebote_tbl.klassenstufe_11 AS klassenstufe_11,
     rg_gruppenangebote_tbl.klassenstufe_12 AS klassenstufe_12,
     rg_gruppenangebote_tbl.klassenstufe_13 AS klassenstufe_13,
     rg_gruppenangebote_tbl.klassenstufe_berufliche_schule AS klassenstufe_berufliche_schule,
     rg_gruppenangebote_tbl.inhalt_demokratiebildung AS inhalt_demokratiebildung,
     rg_gruppenangebote_tbl.inhalt_interkulturelle_kompetenz AS inhalt_interkulturelle_kompetenz,
     rg_gruppenangebote_tbl.inhalt_interreligioese_kompetenz AS inhalt_interreligioese_kompetenz,
     rg_gruppenangebote_tbl.inhalt_geschlechter_reflektierte_arbeit AS inhalt_geschlechter_reflektierte_arbeit,
     rg_gruppenangebote_tbl.inhalt_staerkung_der_selbstwirksamkeit AS inhalt_staerkung_der_selbstwirksamkeit,
     rg_gruppenangebote_tbl.inhalt_soziale_kompetenz AS inhalt_soziale_kompetenz,
     rg_gruppenangebote_tbl.inhalt_medienkompetenz AS inhalt_medienkompetenz,
     rg_gruppenangebote_tbl.inhalt_auseinandersetzung_menschfeindliche_ideologien AS inhalt_auseinandersetzung_menschfeindliche_ideologien,
     rg_gruppenangebote_tbl.inhalt_religioeses_mobbing AS inhalt_religioeses_mobbing,
     rg_gruppenangebote_tbl.inhalt_weitere_angaben AS inhalt_weitere_angaben,
     rg_gruppenangebote_tbl.format_ag AS format_ag,
     rg_gruppenangebote_tbl.format_ausflug AS format_ausflug,
     rg_gruppenangebote_tbl.format_klassenfahrt AS format_klassenfahrt,
     rg_gruppenangebote_tbl.format_veranstaltung AS format_veranstaltung,
     rg_gruppenangebote_tbl.format_veranstaltungsreihe AS format_veranstaltungsreihe,
     rg_gruppenangebote_tbl.format_workshop AS format_workshop,
     rg_gruppenangebote_tbl.format_workshopreihe AS format_workshopreihe,
     rg_gruppenangebote_tbl.format_sonstiges AS format_sonstiges,
     rg_gruppenangebote_tbl.format_nennung_sonstiges AS format_nennung_sonstiges,
     rg_gruppenangebote_tbl.methode_gruppendiskussion AS methode_gruppendiskussion,
     rg_gruppenangebote_tbl.methode_erlebnispaedagogik AS methode_erlebnispaedagogik,
     rg_gruppenangebote_tbl.methode_theaterpaedagogik AS methode_theaterpaedagogik,
     rg_gruppenangebote_tbl.methode_musikpaedagogik AS methode_musikpaedagogik,
     rg_gruppenangebote_tbl.methode_kunstpaedagogik AS methode_kunstpaedagogik,
     rg_gruppenangebote_tbl.methode_medienpaedagogik AS methode_medienpaedagogik,
     rg_gruppenangebote_tbl.methode_anti_gewalt_training AS methode_anti_gewalt_training,
     rg_gruppenangebote_tbl.methode_multiplikator_ausbildung AS methode_multiplikator_ausbildung,
     rg_gruppenangebote_tbl.methode_planspiel AS methode_planspiel,
     rg_gruppenangebote_tbl.methode_museumspaedagogik AS methode_museumspaedagogik,
     rg_gruppenangebote_tbl.methode_vortrag AS methode_vortrag,
     rg_gruppenangebote_tbl.methode_weitere_angaben AS methode_weitere_angaben,
     rg_gruppenangebote_tbl.ort_gruppenangebot AS ort_gruppenangebot,
     rg_gruppenangebote_tbl.anbieter_politische_bildung AS anbieter_politische_bildung,
     rg_gruppenangebote_tbl.anbieter_extremismuspraevention AS anbieter_extremismuspraevention,
     rg_gruppenangebote_tbl.anbieter_sonstiges AS anbieter_sonstiges,
     rg_gruppenangebote_tbl.anbieter_nennung_sonstiges AS anbieter_nennung_sonstiges,
     rg_gruppenangebote_tbl.weitere_angaben_gruppenangebot AS weitere_angaben_gruppenangebot,
     rg_gruppenangebote_tbl.anzahl_individuelle_beratungen AS anzahl_individuelle_beratungen
FROM rg_gruppenangebote_tbl
    INNER JOIN master_tbl
    ON         rg_gruppenangebote_tbl.master_id = master_tbl.id
WHERE
    master_tbl.bearbeiter_id = getuserid()
    OR master_tbl.id IN (
        SELECT nm.master_id from nm_benutzer_master_tbl nm
        WHERE nm.benutzer_id IN (
            SELECT nm2.gruppe_id from nm_benutzer_gruppe_tbl nm2
            WHERE nm2.benutzer_id = getuserid()
        )
    )
    OR pg_has_role('admin','MEMBER');

CREATE OR REPLACE RULE rg_gruppenangebote_tbl_update_rule AS ON UPDATE TO rg_gruppenangebote_tbl_view
DO INSTEAD UPDATE rg_gruppenangebote_tbl SET
    name_gruppenangebot = NEW.name_gruppenangebot,
    datum_start_gruppenangebot = NEW.datum_start_gruppenangebot,
    datum_ende_gruppenangebot = NEW.datum_ende_gruppenangebot,
    anzahl_teilnehmer_maennlich = NEW.anzahl_teilnehmer_maennlich,
    anzahl_teilnehmer_weiblich = NEW.anzahl_teilnehmer_weiblich,
    anzahl_teilnehmer_divers = NEW.anzahl_teilnehmer_divers,
    klassenstufe_5 = NEW.klassenstufe_5,
    klassenstufe_6 = NEW.klassenstufe_6,
    klassenstufe_7 = NEW.klassenstufe_7,
    klassenstufe_8 = NEW.klassenstufe_8,
    klassenstufe_9 = NEW.klassenstufe_9,
    klassenstufe_10 = NEW.klassenstufe_10,
    klassenstufe_11 = NEW.klassenstufe_11,
    klassenstufe_12 = NEW.klassenstufe_12,
    klassenstufe_13 = NEW.klassenstufe_13,
    klassenstufe_berufliche_schule = NEW.klassenstufe_berufliche_schule,
    inhalt_demokratiebildung = NEW.inhalt_demokratiebildung,
    inhalt_interkulturelle_kompetenz = NEW.inhalt_interkulturelle_kompetenz,
    inhalt_interreligioese_kompetenz = NEW.inhalt_interreligioese_kompetenz,
    inhalt_geschlechter_reflektierte_arbeit = NEW.inhalt_geschlechter_reflektierte_arbeit,
    inhalt_staerkung_der_selbstwirksamkeit = NEW.inhalt_staerkung_der_selbstwirksamkeit,
    inhalt_soziale_kompetenz = NEW.inhalt_soziale_kompetenz,
    inhalt_medienkompetenz = NEW.inhalt_medienkompetenz,
    inhalt_auseinandersetzung_menschfeindliche_ideologien = NEW.inhalt_auseinandersetzung_menschfeindliche_ideologien,
    inhalt_religioeses_mobbing = NEW.inhalt_religioeses_mobbing,
    inhalt_weitere_angaben = NEW.inhalt_weitere_angaben,
    format_ag = NEW.format_ag,
    format_ausflug = NEW.format_ausflug,
    format_klassenfahrt = NEW.format_klassenfahrt,
    format_veranstaltung = NEW.format_veranstaltung,
    format_veranstaltungsreihe = NEW.format_veranstaltungsreihe,
    format_workshop = NEW.format_workshop,
    format_workshopreihe = NEW.format_workshopreihe,
    format_sonstiges = NEW.format_sonstiges,
    format_nennung_sonstiges = NEW.format_nennung_sonstiges,
    methode_gruppendiskussion = NEW.methode_gruppendiskussion,
    methode_erlebnispaedagogik = NEW.methode_erlebnispaedagogik,
    methode_theaterpaedagogik = NEW.methode_theaterpaedagogik,
    methode_musikpaedagogik = NEW.methode_musikpaedagogik,
    methode_kunstpaedagogik = NEW.methode_kunstpaedagogik,
    methode_medienpaedagogik = NEW.methode_medienpaedagogik,
    methode_anti_gewalt_training = NEW.methode_anti_gewalt_training,
    methode_multiplikator_ausbildung = NEW.methode_multiplikator_ausbildung,
    methode_planspiel = NEW.methode_planspiel,
    methode_museumspaedagogik = NEW.methode_museumspaedagogik,
    methode_vortrag = NEW.methode_vortrag,
    methode_weitere_angaben = NEW.methode_weitere_angaben,
    ort_gruppenangebot = NEW.ort_gruppenangebot,
    anbieter_politische_bildung = NEW.anbieter_politische_bildung,
    anbieter_extremismuspraevention = NEW.anbieter_extremismuspraevention,
    anbieter_sonstiges = NEW.anbieter_sonstiges,
    anbieter_nennung_sonstiges = NEW.anbieter_nennung_sonstiges,
    weitere_angaben_gruppenangebot = NEW.weitere_angaben_gruppenangebot,
    anzahl_individuelle_beratungen = NEW.anzahl_individuelle_beratungen
WHERE id = NEW.id;

CREATE OR REPLACE RULE rg_gruppenangebote_tbl_delete_rule AS ON DELETE TO rg_gruppenangebote_tbl_view
    DO INSTEAD NOTHING;

CREATE OR REPLACE RULE rg_gruppenangebote_tbl_insert_rule AS ON INSERT TO rg_gruppenangebote_tbl_view
    DO INSTEAD NOTHING;

GRANT SELECT ON rg_gruppenangebote_tbl_view TO GROUP :cm_group;
GRANT UPDATE ON rg_gruppenangebote_tbl_view TO GROUP :cm_group;
GRANT SELECT ON rg_gruppenangebote_tbl_view TO GROUP :admin_group;

CREATE OR REPLACE VIEW rg_gruppenangebote_tbl_anonym_view
AS SELECT
    rg_gruppenangebote_tbl.id AS id,
    rg_gruppenangebote_tbl.master_id AS master_id,
    NULL::CHAR(36) AS uuid_id,
    NULL::VARCHAR(60) AS name_gruppenangebot,
    rg_gruppenangebote_tbl.datum_start_gruppenangebot AS datum_start_gruppenangebot,
    rg_gruppenangebote_tbl.datum_ende_gruppenangebot AS datum_ende_gruppenangebot,
    rg_gruppenangebote_tbl.anzahl_teilnehmer_maennlich AS anzahl_teilnehmer_maennlich,
    rg_gruppenangebote_tbl.anzahl_teilnehmer_weiblich AS anzahl_teilnehmer_weiblich,
    rg_gruppenangebote_tbl.anzahl_teilnehmer_divers AS anzahl_teilnehmer_divers,
    rg_gruppenangebote_tbl.klassenstufe_5 AS klassenstufe_5,
    rg_gruppenangebote_tbl.klassenstufe_6 AS klassenstufe_6,
    rg_gruppenangebote_tbl.klassenstufe_7 AS klassenstufe_7,
    rg_gruppenangebote_tbl.klassenstufe_8 AS klassenstufe_8,
    rg_gruppenangebote_tbl.klassenstufe_9 AS klassenstufe_9,
    rg_gruppenangebote_tbl.klassenstufe_10 AS klassenstufe_10,
    rg_gruppenangebote_tbl.klassenstufe_11 AS klassenstufe_11,
    rg_gruppenangebote_tbl.klassenstufe_12 AS klassenstufe_12,
    rg_gruppenangebote_tbl.klassenstufe_13 AS klassenstufe_13,
    rg_gruppenangebote_tbl.klassenstufe_berufliche_schule AS klassenstufe_berufliche_schule,
    rg_gruppenangebote_tbl.inhalt_demokratiebildung AS inhalt_demokratiebildung,
    rg_gruppenangebote_tbl.inhalt_interkulturelle_kompetenz AS inhalt_interkulturelle_kompetenz,
    rg_gruppenangebote_tbl.inhalt_interreligioese_kompetenz AS inhalt_interreligioese_kompetenz,
    rg_gruppenangebote_tbl.inhalt_geschlechter_reflektierte_arbeit AS inhalt_geschlechter_reflektierte_arbeit,
    rg_gruppenangebote_tbl.inhalt_staerkung_der_selbstwirksamkeit AS inhalt_staerkung_der_selbstwirksamkeit,
    rg_gruppenangebote_tbl.inhalt_soziale_kompetenz AS inhalt_soziale_kompetenz,
    rg_gruppenangebote_tbl.inhalt_medienkompetenz AS inhalt_medienkompetenz,
    rg_gruppenangebote_tbl.inhalt_auseinandersetzung_menschfeindliche_ideologien AS inhalt_auseinandersetzung_menschfeindliche_ideologien,
    rg_gruppenangebote_tbl.inhalt_religioeses_mobbing AS inhalt_religioeses_mobbing,
    rg_gruppenangebote_tbl.inhalt_weitere_angaben AS inhalt_weitere_angaben,
    rg_gruppenangebote_tbl.format_ag AS format_ag,
    rg_gruppenangebote_tbl.format_ausflug AS format_ausflug,
    rg_gruppenangebote_tbl.format_klassenfahrt AS format_klassenfahrt,
    rg_gruppenangebote_tbl.format_veranstaltung AS format_veranstaltung,
    rg_gruppenangebote_tbl.format_veranstaltungsreihe AS format_veranstaltungsreihe,
    rg_gruppenangebote_tbl.format_workshop AS format_workshop,
    rg_gruppenangebote_tbl.format_workshopreihe AS format_workshopreihe,
    rg_gruppenangebote_tbl.format_sonstiges AS format_sonstiges,
    rg_gruppenangebote_tbl.format_nennung_sonstiges AS format_nennung_sonstiges,
    rg_gruppenangebote_tbl.methode_gruppendiskussion AS methode_gruppendiskussion,
    rg_gruppenangebote_tbl.methode_erlebnispaedagogik AS methode_erlebnispaedagogik,
    rg_gruppenangebote_tbl.methode_theaterpaedagogik AS methode_theaterpaedagogik,
    rg_gruppenangebote_tbl.methode_musikpaedagogik AS methode_musikpaedagogik,
    rg_gruppenangebote_tbl.methode_kunstpaedagogik AS methode_kunstpaedagogik,
    rg_gruppenangebote_tbl.methode_medienpaedagogik AS methode_medienpaedagogik,
    rg_gruppenangebote_tbl.methode_anti_gewalt_training AS methode_anti_gewalt_training,
    rg_gruppenangebote_tbl.methode_multiplikator_ausbildung AS methode_multiplikator_ausbildung,
    rg_gruppenangebote_tbl.methode_planspiel AS methode_planspiel,
    rg_gruppenangebote_tbl.methode_museumspaedagogik AS methode_museumspaedagogik,
    rg_gruppenangebote_tbl.methode_vortrag AS methode_vortrag,
    rg_gruppenangebote_tbl.methode_weitere_angaben AS methode_weitere_angaben,
    rg_gruppenangebote_tbl.ort_gruppenangebot AS ort_gruppenangebot,
    rg_gruppenangebote_tbl.anbieter_politische_bildung AS anbieter_politische_bildung,
    rg_gruppenangebote_tbl.anbieter_extremismuspraevention AS anbieter_extremismuspraevention,
    rg_gruppenangebote_tbl.anbieter_sonstiges AS anbieter_sonstiges,
    rg_gruppenangebote_tbl.anbieter_nennung_sonstiges AS anbieter_nennung_sonstiges,
    NULL::TEXT AS weitere_angaben_gruppenangebot,
    rg_gruppenangebote_tbl.anzahl_individuelle_beratungen AS anzahl_individuelle_beratungen FROM rg_gruppenangebote_tbl
    INNER JOIN master_tbl_anonym_view
    ON   rg_gruppenangebote_tbl.master_id = master_tbl_anonym_view.id
 ;

CREATE OR REPLACE RULE rg_gruppenangebote_tbl_anonym_delete_rule AS ON DELETE TO rg_gruppenangebote_tbl_anonym_view
    DO INSTEAD NOTHING;

CREATE OR REPLACE RULE rg_gruppenangebote_tbl_anonym_insert_rule AS ON INSERT TO rg_gruppenangebote_tbl_anonym_view
    DO INSTEAD NOTHING;

GRANT SELECT ON rg_gruppenangebote_tbl_anonym_view TO GROUP :cm_group;
GRANT SELECT ON rg_gruppenangebote_tbl_anonym_view TO GROUP :admin_group;

--
-- Function to anonymize a case and all of its repeat groups
--
CREATE OR REPLACE FUNCTION anonymize_case(mid int)
RETURNS void AS
$$
BEGIN
    PERFORM anonymize_uuid(mid);
    -- anonymize master table
    UPDATE master_tbl_view SET
        uuid_id = NULL,
        weitere_angaben_kooperationsvereinbarung = NULL,
        weitere_angaben_praeventionskonzept = NULL
    WHERE id = mid;

    -- anonymize repeat groups
    UPDATE rg_gruppenangebote_tbl_view SET
        uuid_id = NULL,
        name_gruppenangebot = NULL,
        weitere_angaben_gruppenangebot = NULL
    WHERE master_id = mid;

END;
$$ LANGUAGE plpgsql VOLATILE SECURITY DEFINER;

REVOKE ALL ON FUNCTION anonymize_case(int) FROM public;
GRANT EXECUTE ON FUNCTION anonymize_case(int) TO GROUP :admin_group;

-- Create a default (not very performant) evaluation view.
-- This is based on master_tbl_view so that the restrictions
-- based on the user-id implemented by master_tbl_view are
-- also applied to master_tbl_eval_total_view. It suffices
-- to restrict the view to entries that are not marked for
-- deletion.
CREATE OR REPLACE VIEW master_tbl_eval_total_view AS
    SELECT m.*
    FROM master_tbl_view m JOIN ka_status_tbl s
    ON m.id = s.master_id
    WHERE s.status <> 3;

GRANT SELECT ON master_tbl_eval_total_view TO GROUP :cm_group;
GRANT SELECT ON master_tbl_eval_total_view TO GROUP :admin_group;

