BEGIN;

-- 1.0pre4 -> jmd-1.0pre5
-- Loglevel in der mpuls_log Funktion korrigieren (mpuls/issue468)

SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('jmd-1.0pre5/02-set-standin.sql', current_timestamp);


CREATE OR REPLACE FUNCTION ka_set_standin (standin_id integer, user_id integer)
    RETURNS VOID 
    LANGUAGE 'plpgsql' VOLATILE EXTERNAL SECURITY DEFINER
    AS $$
BEGIN
    IF user_id <> getuserid() AND NOT pg_has_role(session_user, 'admin','MEMBER')
    THEN
        RAISE EXCEPTION
            'Permission denied to set standin % for user %.',
            standin_id, user_id;
    ELSE
        UPDATE ka_benutzer_tbl_view SET vertreter = standin_id
        WHERE id = user_id;
    END IF;
END;
$$;


-- Finish
SET ROLE postgres;


COMMIT;
