## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%!
   import mpulsweb.lib.helper.filters as F
   from mpulsweb.lib.navigation import render_navigation, render_breadcrumb_tree
   from mpulsweb.model.appointment import NextAppointmentOverview
   from jmdweb.model.appointment import automatic_reminders_for_case
%>
${next.body()}

<%def name="buildModusfield()">
</%def>

<%def name="sidebar()">
    <div class="col-md-3">
        <div id="case-info" class="sidebar">
            <div class="border-sidebar rounded p-4">
                ${self.buildInfofield1()}
                ${self.buildInfofield2()}
                ${self.buildPrivacyfield()}
            </div>
              % if h.hasRole(['cm']):
              <div class="sidebar-btn pl-4 d-print-none">
              % if c.save_btn_infofield:
                <input class="btn btn-primary" onclick="sidebar_save('save')"
                       value="${_('Save')}" name="save" type="submit">
              % endif
              % if c.savenext_btn_infofield:
                <input class="btn btn-outline-primary" name="savenext"
                       onclick="sidebar_save('savenext')" type="submit"
                       value="${_('Save and proceed')}" >
              %endif
              % if c.next_btn_url:
                <a class="btn btn-outline-primary" href="${c.next_btn_url}">Weiter</a>
              % endif
              % if c.rg_parent_btn_title:
                <input class="btn btn-outline-primary" name="savenext"
                       onclick="sidebar_save('savergparent')" type="submit"
                       value="Speichern und zu ${c.rg_parent_btn_title}" >
              % endif
              </div>
            %endif
        </div>
   </div>
</%def>


<%def name="buildInfofield1()">
  <% case = session.get('case') %>
  <% statemachine = g.case_factory.get_state_machine() %>
  <div id="infofield">
    <ul class="nav flex-column">
      <li class="nav-item info">
         <div class="content name">
            <a class="nav-item" href="${h.url(controller='case', action='digest',
                                 id=session.get('case').id)}" title="${_('Summary of the case document')}"
                                onclick="return checkModification();">
                ${case.get_value("last_name")}, ${h.shorten(case.get_value("first_name"), 15)  | F.NA}
                <svg class="svg-icon-sidebar" role="img">
                  <use xlink:href="#arrow-circle-right"></use>
                </svg>
            </a>
         </div>
      </li>
    <% current_phase = statemachine.get_current_state(case.getState()) %>
        <li class="nav-item info">
          <div class="label">${_('Phase in CM')}</div>
            <div class="content">
              <a class="nav-item" href="${h.url(controller='phase', action='overview',
                                 id=session.get('case').id)}" title="${_('Summary of the phase in CM')}"
                    onclick="return checkModification();">
                ${ h.literal(current_phase.get_display_name()) | F.NA}
                <svg class="svg-icon-sidebar" role="img">
                  <use xlink:href="#arrow-circle-right"></use>
                </svg>
              </a>
            </div>
        </li>
        % if g.mpuls_config.is_enabled('case-module', 'appointments'):
          <li class="nav-item d-print-none">
            <% case = session.get('case') %>
            <div class="label">${_('Next event')}
              <a href="${h.url(controller='caseappointment', action='index', id=session.get('case').id)}"
                 onclick="return checkModification();" title="${_('Event overview')}">
                <svg class="svg-icon-sidebar" aria-labelledby="title" role="img">
                  <title id="title">${_('Event overview')}</title>
                  <use xlink:href="#list-view"></use>
                </svg></a>
              % if h.hasRole(['cm']):
                <a href="${h.url(controller='caseappointment', action='new', id=session.get('case').id)}"
                   onclick="return checkModification();" title="${_('Create new event')}">
                  <svg class="svg-icon-sidebar" aria-labelledby="title" role="img">
                    <title id="title">${_('Create new event')}</title>
                    <use xlink:href="#plus-circle-solid"></use>
                  </svg>
                </a>
              % endif
            </div>
            <% next_appointment = NextAppointmentOverview(caseid=case.id).get_next_appointment() %>
            % if next_appointment and next_appointment.getStartDate():
            <div class="content d-print-none">
              <a class="nav-item" href="${h.url(controller='caseappointment', action='show', id=next_appointment.id)}"
                 style="display: inline; background-image: none;"
                 onclick="return checkModification();"
                 >${h.format_date(next_appointment.getStartDate().date())}</a>
            </div>
            % else:
              <div class="content d-print-none">
                <a class="nav-item" href="${h.url(controller='caseappointment',
                                     action='index',
                                     id=session.get('case').id)}" 
                    onclick="return checkModification();">
                    -/-
                </a>
              </div>
            % endif
          </li>
        % endif
        <li class="nav-item d-print-none">
          <% case = session.get('case') %>
          <div class="label">${_('Reminders')}
          </div>
          <% reminders = automatic_reminders_for_case(case) %>
          % if reminders:
          % for reminder in reminders:
          <div class="content">${reminder.title}</div>
          % endfor
          % else:
            <div class="content">
              -/-
            </div>
          % endif
        </li>
    </ul>
    % if h.hasRole(['cm']) and g.mpuls_config.is_enabled('case-module', 'logbook'):
      <hr class="d-print-none">
      <ul class="nav flex-column d-print-none">
        <li class="nav-item">
          <a class="nav-item" onclick="return checkModification();"
             href="${h.url(controller='logbook', action='index',
                           id=session.get('case').id)}" title="${_('Logbook')}: ${_('Overview')}">
            Tagebuch
            <svg class="svg-icon-sidebar" role="img">
              <use xlink:href="#list-view"></use>
            </svg></a>
	  % if session['case'].is_editable_state():
	    <a href="${h.url(controller='logbook', action='new',
			     id=session.get('case').id)}" title="${_('Logbook')}: ${_('New entry')}">
	      <svg class="svg-icon-sidebar" aria-labelledby="title" role="img">
		<title id="title">${_('Logbook')}: ${_('New entry')}</title>
		<use xlink:href="#plus-circle-solid"></use>
	      </svg>
	    </a>
          % endif
        </li>
      </ul>
    % endif
    <hr class="d-print-none">
  </div>
</%def>

<%def name="buildInfofield2()">
  <div id="infofield2" class="d-print-none">
      <ul class="nav flex-column">
            <li class="nav-item">
              <a class="folded nav-item" id="label_more_options"
                 title="${_('More options')}: ${_('Fold/Unfold')}" href="#"
                 onClick="toggle_folding('more_options')">
                  ${_('More options')}
              </a>
            </li>
            <div id="more_options" style="display: none">
            % if h.hasRole(['cm', 'admin']):
                % if g.mpuls_config.is_enabled('case-module', 'organisation'):
                    <a class="info-link" href="${h.url(controller='case', 
                                         action='organisation', 
                                         id=session.get('case').id)}" 
                    onclick="return checkModification();">
                        ${_('Organisation')}
                    </a>
                % endif
                % if g.mpuls_config.is_enabled('case-module', 'tags'):
                    <a class="info-link" href="${h.url(controller='tags',
                                         action='overview',
                                         id=session.get('case').id)}" 
                       onclick="return checkModification();">
                        ${_('Tags')}
                    </a>
                % endif
                % if g.mpuls_config.is_enabled('case-module', 'documents'):
                        <a class="info-link" href="${h.url(controller='casedocument',
                                             action='index',
                                             id=session.get('case').id)}" 
                           onclick="return checkModification();">
                            ${_('documents')}
                        </a>
                % endif
                % if g.mpuls_config.is_enabled('case-module', 'copy') and session.get('case').getState().getState() == 1 and h.hasRole(['cm']):
                    <a class="info-link" href="${h.url(controller='case', action='copy', 
                                         id=session.get('case').id,
                                         confirmed=0)}"
                    onclick="return checkModification()">${_('Copy case')}</a>
                % endif
                    <a class="info-link" href="${h.url(controller='case', action='printAll', 
                                         id=session.get('case').id,
                                         confirmed=0)}"
                    onclick="return checkModification();"
                    target="_blank">${_('Print case document')}</a>
                % if g.mpuls_config.is_enabled('case-module', 'statements'):
                  <%include file="/statements/statements.mako" />
                % endif
            % endif
            % if h.hasRole('cm'):
                <a class="info-link" href="${h.url(controller='supportplan',
                                 action='print_supportplan',
                                 id=session.get('case').id)}" 
                   onclick="return checkModification();"
                   target="_blank">Integrationsförderplan drucken
                </a>
            % endif
            </div>
          <input id="folded.more_options" type="hidden" value="none">
      </ul>
  </div>
  <hr class="d-print-none">
</%def>

<%def name="buildPrivacyfield()">
  % if g.mpuls_config.is_enabled('case-module', 'privacy') and h.hasRole(['cm']):
    <ul class="nav flex-column d-print-none">
        <a class="folded nav-item" id="label_datenschutz"
           href="#" title="${_('Data protection')}: ${_('Fold/Unfold')}"
           onClick="toggle_folding('datenschutz')">
          ${_('Data protection')}
        </a>
        <div id="datenschutz" style="display: none">
        % if session.get('case').getState().getState() not in (3,4,5):
            % if not session.get('case').hasPrivacyStatement():
            <a class="info-link" href="${h.url(controller='privacy', action='set',
                    id=session.get('case').id)}"
                    onclick="return checkModification();">${_('Set statement')}
            </a>
            % elif session.get('case').hasPrivacyStatement():
            <a class="info-link" href="${h.url(controller='privacy',
                    action='decline', 
                    id=session.get('case').id,
                    confirmed=0)}" 
                    onclick="return checkModification();">${_('Revoke Statement')}
            </a>
            % endif
            <a class="info-link"
               href="${h.url(controller='privacy', action='listStatements')}"
               onclick="return checkModification();">
                 ${_('List statements')}
            </a>
            <a class="info-link" href="${h.url(controller='case',
                    action='markForAnonymize',
                    id=session.get('case').id,
                    confirmed=0)}"
                    onclick="return checkModification();">${_('Anonymize case document')}
            </a>
        % endif
        </div>
        <input id="folded.datenschutz" type="hidden" value="none">
    </ul>
  % endif
</%def>

<%def name="buildNavigation()">
   <div class="d-print-none">${render_breadcrumb_tree(c.breadcrumb_tree_page)}</div>
</%def>


<%def name="buildUeberschrift()">
</%def>
