## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='administration', action='index')}">${_('Administration')}</a></li>
  <li><a href="${h.url(controller='administration', action='overviewUserGroups')}">${_('Usergroup overview')}</a></li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('Usergroup overview')}
</%def>

<div class="row">
  <div class="col-auto" id="content_ueberschrift">
    <h3>${_('Usergroup overview')}</h3>
  </div>
  <div class="col modusfield">
    <a title="${_('Create new usergroup')}" href="${h.url(controller='administration', action='newUserGroup')}">
      <svg class="svg-icon" aria-labelledby="title" role="img">
        <title id="title">${_('Create new usergroup')}</title>
        <use xlink:href="#add_user" />
      </svg>
    </a>
  </div>
</div>

  <div class="table-responsive">
    <table class="table table-sm table-hover custom-table-striped">
      <thead>
        <tr>
          <th scope="col">${_('Groupname')}</th>
          <th scope="col"></th>
        </tr>
      </thead>
      % for group in c.group_overview:
        <tr class='clickable-row' data-href="${h.url(controller='administration',
                                   action='showUserGroup', id=group.id)}">
          <td>
               ${group.name| F.NA}
          </td>
          <td class="icon-td">
            <a role="button" title="${_('Delete')}"
               href="${h.url(controller='administration',
                    action='deleteUserGroup', id=group.id)}">
              <svg class="svg-icon svg-warning" aria-labelledby="title" role="img">
                <title id="title">${_('Delete')}</title>
                <use xlink:href="#delete" />
              </svg>
            </a>
          </td>
        </tr>
      % endfor
      % if len(c.group_overview) <= 0:
        <tr>
          <td>
            ${_('No data found.')}
          </td>
          <td></td>
        </tr>
      % endif
    </table>
</div>
