## -*- coding: utf-8 -*-
<%!  import mpulsweb.lib.helper.filters as F %>
<%inherit file="../main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='administration', action='index')}">${_('Administration')}</a></li>
  <li><a href="${h.url(controller='administration', action='overviewUser')}">${_('User overview')}</a></li>
  <li><a href="${h.url(controller='administration', action='showUserGroup', id=c.group.id)}">${_('Show usergroup')}</a></li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('Usergroup overview')}
</%def>

<div class="row">
  <div class="col-auto offset-1" id="content_ueberschrift">
    <h3>${_('Usergroup overview')}</h3>
  </div>
  <div class="col modusfield">
    <a title="${_('Edit user group')}" href="${h.url(controller='administration', action='editUserGroup', id=c.group.id)}">
      <svg class="svg-icon" aria-labelledby="title" role="img">
        <title id="title">${_('Edit user group')}</title>
        <use xlink:href="#edit" />
      </svg>
    </a>
    <a title="${_('Back to: Usergroup overview')}" href="${h.url(controller='administration', action='overviewUserGroups')}">
      <svg class="svg-icon" aria-labelledby="title" role="img">
        <title id="title">${_('Back to: Usergroup overview')}</title>
        <use xlink:href="#arrow-circle-left" />
      </svg>
    </a>
  </div>
</div>

<div class="formularpage col-xl-9 mt-4 offset-1">
<h4 class="text-muted">${_('Memebr of a group')} &quot;${c.group.name | F.NA}&quot;</h4>
  <div class="table-responsive">
    <table class="table table-sm table-borderless">
      <thead>
        <tr>
          <th scope="col">Mitarbeiterin / Mitarbeiter</th>
        </tr>
      </thead>
      <tbody>
        <% idset = True %>
        % for user in c.groupmember.getUserList():
          <tr>
            % if idset:
              <td>
                ${user.last_name | F.NA}, ${user.first_name | F.NA}
              </td>
            % else:
              <td class="table_row_v_12">
                ${user.last_name | F.NA}, ${user.first_name | F.NA}
              </td>
            % endif
          </tr>
          <% idset = not idset %>
        % endfor
        % if len(c.groupmember.getUserList()) <= 0:
        <tr>
          <td>${_('The user group has no members')}</td>
        </tr>
        % endif
      <tbody>
    </table>
  </div>
</div>
