## -*- coding: utf-8 -*-
##
## NOTE: It is up to the calling mako to set remindlist!
<%!  import mpulsweb.lib.helper.filters as F %>
<div class="table-responsive">
 <table class="table table-sm table-hover custom-table-striped">
   <thead>
    <tr>
      <th scope="col" class="td_date">${_('Date')}</th>
      <th scope="col">${_('Name')}</th>
      <th scope="col" class="td_description">${_('Description')}</th>
      % if h.hasRole(['admin']):
        <th scope="col">${_('Editor')}</th>
      % else:
        <th scope="col"></th>
      % endif
    </tr>
   </thead>
    % for appointment in c.remindlist.getDatasets():
    <tr class='clickable-row' data-href=${self.showAppointmentURL(appointment)}>
      <td class="td_date">${h.dd_mm_YYYY(appointment.getStartDate())}</td>
      <td>
        ${appointment.getCaseSubject()}
      </td>
      <td class="td_description">
        ${appointment.title | F.NA} 
        % if c.show_set_done_title and appointment.erledigt:
        (erledigt)
        % endif
        <% description = F.shorten(appointment.description, 120) %>
        <div class="description">${description | F.NA}</div>
      </td>
      ## Last column: If admin, show editor name. If CM, show actions.
      % if h.hasRole(['admin']):
        <td>
          ${F.NA(appointment.editor_name)}
        </td>
      % endif
      % if h.hasRole(['cm']):
        <td class="icon-td">
          ${self.showAppointmentActions(appointment,
                                        show_set_done=c.show_set_done)}
          ${self.showApplicationActions(appointment)}
          ${self.showKeepActiveActions(appointment)}
        </td>
      % endif
    </tr>
    % endfor
    % if len(c.remindlist.getDatasets()) <= 0:
    <tr>
      <td colspan="3">${_('No reminder found')}</td>
      <td class="icon-td"></td>
    </tr>
    % endif
 </table>
</div>


<%def name="showAppointmentActions(appointment, show_set_done=None)">
## Default function
</%def>
<%def name="showKeepActiveActions(appointment)">
## Default function
</%def>
<%def name="showAppointmentURL(appointment)">
## Default function
</%def>
<%def name="showApplicationActions(appointment)">
## Default function
</%def>

