## -*- coding: utf-8 -*-
<%def name="buildFormErrors(labels=None)">
  <% formular_labels = labels or {} %>
  % if len(c.form_errors) > 0:
    <div class="form_errors">
      <h1><a name="error_list">${_('Wrong formular input')}</a></h1>
      <ul>
        % for key, value in c.form_errors.iteritems():
          <li>${_(formular_labels.get(key, '%s' % key))}: ${value}</li>
        % endfor
      </ul>
    </div>
  % endif
</%def>


<%def name="title()">
   ${h.get_app_title()}
</%def>


<!doctype html>
<html lang="de">
  <head>
    <title>${self.title()}</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="generator" content="vim">
    <meta name="author" content="Torsten Irlaender">
    <meta name="date" content="2007-08-07">
    <meta name="copyright" content="">
    <meta name="keywords" content="">
    <meta name="description" content="">
    <meta name="ROBOTS" content="NOINDEX, NOFOLLOW">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="content-style-type" content="text/css">
    <meta http-equiv="expires" content="0">
    <link rel="shortcut icon" type="image/x-icon" href="${h.url('/images/mpuls.ico')}">
    <link rel="stylesheet" href="${h.url('/styles/bootstrap.min.css')}">
    % if c.print_version:
    <link href="${h.url('/styles/mpuls.css')}" media="all" rel="stylesheet"
            type="text/css">
    <link href="${h.url('/styles/print.css')}" media="all" rel="stylesheet"
            type="text/css">
    <link href="${h.url('/styles/printlocal.css')}" media="all" rel="stylesheet"
            type="text/css">
    % else:
    <link href="${h.url('/styles/sidebar.css')}" media="all" rel="stylesheet"
            type="text/css">
    <link href="${h.url('/styles/datepicker3.css')}" media="all" rel="stylesheet" type="text/css">
    <link href="${h.url('/styles/bootstrap-datetimepicker.min.css')}" media="all" rel="stylesheet" type="text/css">
    <link href="${h.url('/styles/mpuls.css')}" media="all" rel="stylesheet"
            type="text/css">
    <link href="${h.url('/styles/local.css')}" media="all" rel="stylesheet"
            type="text/css">
    <link href="${h.url('/styles/bootstrap-multiselect.css')}" media="all" rel="stylesheet" type="text/css">
    % endif
    <link href="${h.url('/styles/datatables.min.css')}" media="all" rel="stylesheet" type="text/css">
    <script src="${h.url('/js/jquery-3.3.1.slim.min.js')}"></script>
    <script src="${h.url('/js/bootstrap.bundle.min.js')}"></script>
    <script src="${h.url('/js/bootstrap-multiselect.min.js')}"></script>
    <script src="${h.url('/js/toggleall.js')}"></script>
    <script src="${h.url('/js/simple_countdown.js')}"></script>
    <script src="${h.url('/js/datatables.min.js')}"></script>
    % if c.conditional_form_info_url:
    <script src="${c.conditional_form_info_url}"></script>
    <script src="${h.url('/js/dynamicconds.js')}"></script>
    % endif
    <script>
    // Add the following code if you want the name of the file appear on select
        $( document  ).ready(function() {
        $(".custom-file-input").on("change", function() {
            var fileName = $(this).val().split("\\").pop();
            $(this).siblings(".custom-file-label").addClass("selected").html(fileName);
        });});
    </script>
    <script>
        $(document).ready(function(){
            $('[data-toggle="popover"]').popover();
        });
    </script>
    <script>
// Disable form submissions if there are invalid fields
(function() {
  'use strict';
  window.addEventListener('load', function() {
    // Get the forms we want to add validation styles to
    var forms = document.getElementsByClassName('needs-validation');
    // Loop over them and prevent submission
    var validation = Array.prototype.filter.call(forms, function(form) {
      form.addEventListener('submit', function(event) {
        if (form.checkValidity() === false) {
          event.preventDefault();
          event.stopPropagation();
        }
        form.classList.add('was-validated');
      }, false);
    });
  }, false);
})();
</script>
    <script>
      jQuery(function() {
        $(".table").on("click", function(element) {
          if (element.target.tagName === "IMG" || element.target.tagName === "A"
              || element.target.tagName === "INPUT"
              || element.target.tagName === "svg" ) {
            return;
          }
          var row = $(element.target).closest("tr")
          if ($(row).hasClass("clickable-row")) {
            var loc = $(row).data("href");
            if ($(row).attr("target")==="_blank"){
              window.open(loc);
            } else {
              window.location = loc;
            }
          }
        })
      })
    </script>
    <script>
      function hover_two(id) {
        // Get the right hover color.
        if ($("#first_" + id).children().css("background-color") == "rgba(0, 0, 0, 0)" ||
          $("#first_" + id).children().css("background-color") == "transparent") {
          $("#first_" + id).children().css("background-color", "#F5F5F5")
          $("#second_" + id).children().css("background-color", "#F5F5F5")
        } else {
          $("#first_" + id).children().css("background-color", "#C8D6E3")
          $("#second_" + id).children().css("background-color", "#C8D6E3")
        }

      }

      function unhover_two(id) {
       $("#first_" + id).children().css("background-color", "")
       $("#second_" + id).children().css("background-color", "")
      }
    </script>
    <script>
      jQuery(function() {
        $(".icon_rg").hover(function(e){
          $($(e.target).closest(".repeat-entry")).css("background-color",
                                                      "#ECECEC");
        }, function(e) {
          $($(e.target).closest(".repeat-entry")).css("background-color",
                                                      "transparent");
        })
      })
    </script>
    <script>
	(function($) {

	  if(navigator.userAgent.indexOf('MSIE')!==-1
	  || navigator.appVersion.indexOf('Trident/') > -1){

    	  $(window).scroll(function (event) {
         	var scroll = $(window).scrollTop();

        	if ( scroll > 20) {
            		$('.sidebar').addClass( "sidebar-ie" );
        	}else{
            		$('.sidebar').removeClass( "sidebar-ie" );        
        	}
    	  });
	 }
	})( jQuery );
    </script>
    <script>
        function sidebar_save(btn) {
          var d = document.forms["formularpage"];
          var e = document.createElement("INPUT");
          e.setAttribute("style", "display: none;");
          e.setAttribute("name", btn);
          d.appendChild(e);
          d.submit();
        }
    </script>
    <script>
      window.onbeforeprint = function () {
        $('.print-textarea').remove();
        $('textarea').each(function () {
          var text = $(this).val();
          $(this).after('<p class="print-textarea">' + text + '</p>');
          });
        }
   </script>
    <script src="${h.url('/js/bootstrap-datepicker.js')}"></script>
    <script src="${h.url('/js/bootstrap-datepicker.de.js')}"></script>
    <script src="${h.url('/js/mpuls-datepicker.js')}"></script>
    ## check.js must be loaded last, in in particular after
    ## mpuls-datepicker.js. See check.js for details.
    <script src="${h.url('/js/check.js')}" type="text/javascript"></script>

    ${h.literal(h.folding_helper_functions())}
  </head>
  <body onload="clearModification();">
    % if g.mpuls_config.is_enabled('common', 'showdemonotice'):
    <div class="container" id="demonotice">
      ${h.literal(_('You are using a public demo installation of %s. Do not enter any real personal data! Please note, that all data will be deleted on server resets in regular intervals')) % h.get_app_title()}
    </div>
    % endif
    ${next.body()}

    <script>
      <%text>
      const SEPARATOR = "|";
      const convertSingleSelect = (el) => {
          const t = $(el).find(".multiselect-selected-text");
          const options = t.html().split(SEPARATOR);
          const oHTML = options.map((o) => `<li>${o}</li>`).join("");
          $(t).html(`<ul style="padding-left: 10px; margin-bottom: 0px;font-size:90%;">${oHTML}</ul>`);
      };
      const convertToList = (e) => {
        if (e){
            convertSingleSelect(e.target);
        } else {
        $(".custom-select[multiple]").each((idx, el)=>{
           convertSingleSelect($(el).parent());
        });
        }
      };
      $(() => {
        $(".custom-select[multiple]").multiselect({
          buttonContainer: '<div class="btn-group d-block"/>',
          inheritClass: true,
          dropDown: true,
          maxHeight: 350,
          enableHTML: false,
          numberDisplayed: 0,
          delimiterText: SEPARATOR,
          widthSynchronizationMode: "never",
          nSelectedText: "ausgewählt",
          nonSelectedText: "Keine Angabe",
          allSelectedText: "Alle Optionen gewählt",
          templates: {
            button:
              '<button style="height:auto;" type="button" class="multiselect dropdown-toggle" data-toggle="dropdown"><div style="word-break:break-word;text-align:left;white-space:normal; height:auto;" class="multiselect-selected-text"></div></button>',
          },
        });
        convertToList();
        $(".multiselect").on("change", convertToList);
      });
      </%text>
    </script>
    <script>
    $(document).ready(() => {
      var generateSortColumn = function(){
          var el = $("#rg-flat");
          if (!el) return [];
          var orderby = $(el).attr("orderby")
          if(!orderby) return [];
          var sort = orderby.split(",");
          result = [[Number(sort[0]), sort[1]]];
          return result;
      };
      $("#rg-flat").DataTable({
        stateDuration: 0,
        paging: false,
        "orderFixed": [ 0, 'desc' ],
        "columnDefs": [ {
          "targets": [0, -1],
          "orderable": false,
         }],
        order: generateSortColumn(),
        dom: '<"#flattable"l<"search"f>rtp>',
        initComplete: () => {
            $(".search").find("input").addClass("form-control form-control-sm");
            $(".dataTables_filter").addClass("text-right");
            $(".formularpage").css("padding", 0);
            $("#rg-flat").css("padding", 0);
            $("#rg-flat thead th:first").removeClass("sorting_desc");
            $("#rg-footer").css("margin-left", "12px");
            $("#flattable").css("width", "45vw");
        },
        language: {
                lengthMenu: "Zeige _MENU_ Einträge pro Seite",
                zeroRecords: "Keine Ergebnisse",
                info: "Seite _PAGE_ von _PAGES_ Seiten",
                infoEmpty: "Keine Einträge vorhanden",
                infoFiltered: "(aus _MAX_ Einträgen)",
                search: "Suche",
            },
      });
      $('#rg-flat').on( 'order.dt', function () { $("#rg-flat thead th:first").removeClass("sorting_desc") });
  });
  </script>
    % if c.conditional_form_info_url:
    ## Make sure to recompute client side conditionals when using
    ## bootstrap-multiselect.
    <script>
      $(document).ready(() => {
        $(".multiselect").on("change", recomputeConditionals);
      });
    </script>
    % endif
  </body>
</html>
