## -*- coding: utf-8 -*-
<%inherit file="main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
    ${parent.buildNavipath()}
    <li><a href="${h.url(controller='case', action='select', id=session.get('case').id, confirmed=1)}">${_('Selected case documents')}</a></li>
    <li><a href="${h.url(controller='case', action='organisation', id=session.get('case').id)}">${_('Organisation')}</a></li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('Organisation')}
</%def>

<div id="content_header">
  <div class="row">
    <div id="content_ueberschrift" class="col offset-1">
      <h3>${_('Organisation')}</h3>
    </div>
  </div>
</div>
<div class="formularpage col-xl-9 offset-1">
  <p class="info-text">
    ${_('This page shows the main worker of a case document and his or her standin')}
  </p>
  <legend>
    <div class="text-nowrap">
      <label>${_('Editor')}</label>
    </div>
  </legend>
  <div class="table-responsive">
    <table class="table table-sm table-borderless summary">
      <tr>
        <td class="col-md-2">${_('Lastname')}</td>
        <td class="col">${c.editor.last_name | F.NA}</td>
      </tr>
      <tr>
        <td class="col-md-2">${_('Firstname')}</td>
        <td class="col">${c.editor.first_name | F.NA}</td>
      </tr>
      <tr>
        <td class="col-md-2">${_('Phone')}</td>
        <td class="col">${c.editor.telephone | F.NA}</td>
      </tr>
    </table>
  </div>

  % if h.hasRole(['admin']) and session.get('case').getState().getState() == 1:
  <form action="${h.url(controller="case", action="setEditorAction")}" method="POST">
    ${ h.csrf_token() }
    <input type="hidden" name="case_id" value="${session.get('case').id}">
    <div class="form-group">
      <fieldset>
        <div class="form-group">
          <select name="editor" class="custom-select custom-select-sm col-md-3">
            % for user in c.user_list:
                <option value="${user.id | F.NA}">${user.last_name | F.NA}, ${user.first_name | F.NA}</option>
            % endfor
          </select>
        </div>
      <input class="btn btn-primary" type="submit" value="${_('Case document assigned')}">
      </fieldset>
    </div>
  </form>
  % endif



  % if ((h.hasRole(['admin']) or (c.current_user.id == c.editor.id))) and session.get('case').getState().getState() == 1:
  <form action="${h.url(controller="case", action="setStandinAction")}" method="POST">
    ${ h.csrf_token() }
    <input type="hidden" name="case_id" value="${session.get('case').id}">

    <div class="form-group">
      <fieldset>
        <legend>
          <div class="text-nowrap">
            <label>${_('Standin')}</label>
          </div>
        </legend>
        <div class="form-check mb-3 box">
           <input type="checkbox" name="mpuls-toggle-all-standin"
                  id="mpuls-toggle-all-standin" class="form-check-input">
           <label for="mpuls-toggle-all-standin" class="form-check-label">
              ${_('Select/deselect all standins')}
           </label>
        </div>

        % for (num, group) in enumerate(c.group_list):
          <div class="form-check box">
            <input class="form-check-input" type="checkbox" name="standin"
                   value="${group.id}" id="standin_${group.id}"
                   ${group.id in c.standin.getGroups() and 'checked' or '' | n}>
            <label class="form-check-label" for="standin_${group.id}">
              ${group.name | F.NA}
            </label>
          </div>
        % endfor
      <input class="btn btn-primary" type="submit" value="${_('Change Standin')}">
      </fieldset>
    </div>
  </form>
  % else:

  <div class="table-responsive">
    <table class="table table-sm table-hover">
      <tr>
        <th scope="col">${_('Editor')}</th>
      </tr>
      <% standins = [g for g in c.group_list2 if g.id in c.standin.getGroups()] %>
      % for (num, group) in enumerate(standins):
      <tr>
        <td>${group.name | F.NA}</td>
      </tr>
      % endfor
   </table>
  </div>
  % endif
  <%include file="organisation_extra.mako" />
</div>
