#!/usr/bin/python
# -*- coding: utf-8 -*-
import sys
import psycopg2

UPDATE_CASES_USERID = """\
UPDATE master_tbl 
SET bearbeiter_id= (SELECT id FROM ka_benutzer_tbl WHERE login=%(login)s)
WHERE bearbeiter_id = (SELECT id FROM ka_benutzer_tbl WHERE login=%(old_login)s)
"""
SEARCH_USERID = """SELECT id from ka_benutzer_tbl where login = %(old_login)s"""

DELETE_OLD_USER = """\
SET SESSION AUTHORIZATION %(air_db_admin)s;
SELECT ka_delete_role(%(old_login)s, %(agency)s);"""

def replace_login(air_db, air_port, old_login, login):
    con = None 
    try:
        con = psycopg2.connect(database='ka_' + air_db + '_db', port=air_port)
        cur = con.cursor()
        if old_login and login:
            fields = {'login':'ka_'+air_db+'_'+login,
                      'old_login':'ka_'+air_db+'_'+old_login
                     }
	    # Check if the old login can be found. This may happen if the user
	    # on the application level and meta level differs because aof
	    # missconfiguration.
	    
            cur.execute(SEARCH_USERID, fields)
	    if cur.fetchone():
                cur.execute(UPDATE_CASES_USERID, fields)
                fields = {'air_db_admin': 'ka_' + air_db + '_admin',
                          'old_login': old_login,
                          'agency': air_db
                          }
                cur.execute(DELETE_OLD_USER, fields)
                print "Replacing user %s with %s" % (old_login, login)
                con.commit()
		return 1
            else:
                return 0
    except psycopg2.DatabaseError, e:
        print "Error: %s" % e
    finally:
        if con:
            con.close()
    return 0

def delete_login(air_db, air_port, old_login, login):
	pass


def main():
    if not len(sys.argv) -1 == 3:
        print "replace_meta_user.py <air port> <mapping1> <mapping3>"
        print "  Changes editor ids and remove old logins"
        print "Not three argument -> exit"
        return
    air_port = sys.argv[1]
    mapping1 = open(sys.argv[2])
    app2air_dict = eval(mapping1.read())
    mapping1.close()
    mapping3 = open(sys.argv[3])
    app2user_olduser_dict= eval(mapping3.read())
    print app2user_olduser_dict
    mapping3.close()
    deleted = 0
    print "Replace users from meta databases..."
    for app_db in app2air_dict:
	if app2user_olduser_dict.has_key(app_db):
	   old_login = app2user_olduser_dict[app_db][1]
	   new_login = app2user_olduser_dict[app_db][0]
           deleted += replace_login(app2air_dict[app_db].get('dbagency'), air_port, 
                          old_login, new_login)
    print "Replaced %d user(s)" % deleted
    # After all delete all users which are not used
    
main()
