SET ROLE :adm_ka_owner;
BEGIN;

CREATE TABLE ka_meta_tbl
(
        id serial NOT NULL,
        master_id int4 REFERENCES master_tbl(id) ON DELETE CASCADE,
        meta_uuid  CHAR(36),
        project_uuid  CHAR(36),
        sync_permission  BOOLEAN,
        last_upload   timestamp,
        last_download   timestamp,
        CONSTRAINT ka_meta_tbl_pkey PRIMARY KEY (id)
);

-- create_meta_ds(mid integer)
-- legt einen metadatensatz fuer eine Fallakte an
--
-- deletion of the entry is done by ON DELETE CONSTRAINT

CREATE OR REPLACE FUNCTION create_meta_ds(mid integer)
    RETURNS VOID
    LANGUAGE 'plpgsql' VOLATILE SECURITY DEFINER
    AS $$
BEGIN
    INSERT INTO ka_meta_tbl (master_id)
            VALUES (mid);
END;
$$;

REVOKE ALL ON FUNCTION create_meta_ds(integer) FROM PUBLIC;
GRANT EXECUTE ON FUNCTION create_meta_ds(integer) TO GROUP :cm_group;

-- Function to delete information about the linkage to the meta-case.
CREATE OR REPLACE FUNCTION delete_meta_ds(mid integer) RETURNS void
    LANGUAGE 'plpgsql' VOLATILE EXTERNAL SECURITY DEFINER
    AS $$
BEGIN
    UPDATE ka_meta_tbl SET
    meta_uuid = NULL,
    project_uuid = NULL,
    sync_permission = FALSE,
    last_upload = NULL,
    last_download = NULL
    WHERE master_id = mid;
END;
$$ ;

REVOKE ALL    ON FUNCTION delete_meta_ds(integer) FROM PUBLIC;
GRANT EXECUTE ON FUNCTION delete_meta_ds(integer) TO GROUP :admin_group;

SET ROLE postgres;
CREATE TABLE berichtsquote_tbl (
    id                SERIAL PRIMARY KEY,
    anzahl_akten      INTEGER NOT NULL,
    anzahl_akten_sync INTEGER NOT NULL,
    upload            TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    fkz               VARCHAR(60) NOT NULL
);

GRANT INSERT ON berichtsquote_tbl TO :cm_group;
GRANT INSERT ON berichtsquote_tbl TO :admin_group;
GRANT SELECT ON berichtsquote_tbl TO :admin_group;
GRANT SELECT ON berichtsquote_tbl TO :cm_group;
GRANT USAGE ON berichtsquote_tbl_id_seq TO :cm_group;
GRANT USAGE ON berichtsquote_tbl_id_seq TO :admin_group;

CREATE OR REPLACE VIEW berichtsquote_tbl_anonym_view
AS SELECT * FROM berichtsquote_tbl;

GRANT SELECT ON berichtsquote_tbl_anonym_view TO GROUP :cm_group;
GRANT SELECT ON berichtsquote_tbl_anonym_view TO GROUP :admin_group;

SET ROLE :adm_ka_owner;
COMMIT;
-- Create Views.
\i sql/install/views/05_meta.sql
