SET ROLE :adm_ka_owner;
BEGIN;

-- Sicht auf die Benutzerdatenbank
CREATE OR REPLACE VIEW ka_benutzer_tbl_view AS
SELECT ka_benutzer_tbl.id, ka_benutzer_tbl.vorname, ka_benutzer_tbl.nachname,
ka_benutzer_tbl.telefon, ka_benutzer_tbl.aktiviert,
ka_benutzer_tbl.passwort_aendern, ka_benutzer_tbl.login,
ka_benutzer_tbl.raumnummer, ka_benutzer_tbl.filiale, p.usesysid,
ka_benutzer_tbl.vertreter, getrole(ka_benutzer_tbl.id) as rolle,
ka_benutzer_tbl.gid,
ka_benutzer_tbl.last_login
FROM ka_benutzer_tbl JOIN pg_user p
ON ka_benutzer_tbl.login = p.usename;

CREATE OR REPLACE RULE ka_benutzer_update_rule AS ON UPDATE TO ka_benutzer_tbl_view
        DO INSTEAD  UPDATE ka_benutzer_tbl SET
        vorname = new.vorname,
        nachname = new.nachname,
        telefon = new.telefon,
        aktiviert = new.aktiviert,
        raumnummer = new.raumnummer,
        filiale = new.filiale,
        passwort_aendern = new.passwort_aendern,
        vertreter = new.vertreter,
        gid = new.gid,
        last_login = new.last_login
        WHERE ka_benutzer_tbl.id = new.id;

GRANT SELECT ON ka_benutzer_tbl_view TO GROUP :cm_group;
GRANT SELECT ON ka_benutzer_tbl_view TO GROUP :admin_group;
GRANT UPDATE ON ka_benutzer_tbl_view TO GROUP :admin_group;

CREATE OR REPLACE RULE ka_benutzer_delete_rule AS ON DELETE TO ka_benutzer_tbl_view
    DO INSTEAD NOTHING;

CREATE OR REPLACE RULE ka_benutzer_insert_rule AS ON INSERT TO ka_benutzer_tbl_view
    DO INSTEAD NOTHING;

-- Sicht auf die Benutzer-Fallakte Transitionstabelle
CREATE OR REPLACE VIEW nm_benutzer_master_tbl_view AS
SELECT nm_benutzer_master_tbl.id, nm_benutzer_master_tbl.benutzer_id,
nm_benutzer_master_tbl.master_id
FROM nm_benutzer_master_tbl;

GRANT SELECT ON nm_benutzer_master_tbl_view TO GROUP :cm_group;
GRANT SELECT ON nm_benutzer_master_tbl_view TO GROUP :admin_group;

CREATE OR REPLACE RULE nm_benutzer_master_delete_rule AS ON DELETE TO
nm_benutzer_master_tbl_view DO INSTEAD NOTHING;

CREATE OR REPLACE RULE nm_benutzer_master_insert_rule AS ON INSERT TO
nm_benutzer_master_tbl_view DO INSTEAD NOTHING;

CREATE OR REPLACE RULE nm_benutzer_master_update_rule AS ON UPDATE TO
nm_benutzer_master_tbl_view DO INSTEAD NOTHING;

-- Sichten auf die Benutzergruppe
CREATE OR REPLACE VIEW ka_benutzergruppe_tbl_view AS
SELECT g.id, coalesce(b.nachname ||', '|| b.vorname, g.name) AS name FROM ka_benutzer_tbl b RIGHT JOIN ka_benutzergruppe_tbl g ON g.id = b.gid;

CREATE OR REPLACE RULE ka_benutzergruppe_delete_rule AS ON DELETE TO
ka_benutzergruppe_tbl_view DO INSTEAD NOTHING;

CREATE OR REPLACE RULE ka_benutzergruppe_insert_rule AS ON INSERT TO
ka_benutzergruppe_tbl_view DO INSTEAD NOTHING;

CREATE OR REPLACE RULE ka_benutzergruppe_update_rule AS ON UPDATE TO ka_benutzergruppe_tbl_view
        DO INSTEAD  UPDATE ka_benutzergruppe_tbl SET
        name = new.name
        WHERE ka_benutzergruppe_tbl.id = new.id;

GRANT SELECT ON ka_benutzergruppe_tbl_view TO GROUP :cm_group;
GRANT SELECT ON ka_benutzergruppe_tbl_view TO GROUP :admin_group;
GRANT UPDATE ON ka_benutzergruppe_tbl_view TO GROUP :admin_group;

-- Sicht auf die Benutzer-Gruppen Transitionstabelle
--
CREATE OR REPLACE VIEW nm_benutzer_gruppe_tbl_view AS
SELECT nm_benutzer_gruppe_tbl.id, nm_benutzer_gruppe_tbl.benutzer_id,
nm_benutzer_gruppe_tbl.gruppe_id
FROM nm_benutzer_gruppe_tbl;

CREATE OR REPLACE RULE nm_benutzer_gruppe_delete_rule AS ON DELETE TO
nm_benutzer_gruppe_tbl_view DO INSTEAD NOTHING;

CREATE OR REPLACE RULE nm_benutzer_gruppe_insert_rule AS ON INSERT TO
nm_benutzer_gruppe_tbl_view DO INSTEAD NOTHING;

CREATE OR REPLACE RULE nm_benutzer_gruppe_update_rule AS ON UPDATE TO
nm_benutzer_gruppe_tbl_view DO INSTEAD NOTHING;

GRANT SELECT ON nm_benutzer_gruppe_tbl_view TO GROUP :cm_group;
GRANT SELECT ON nm_benutzer_gruppe_tbl_view TO GROUP :admin_group;

COMMIT;
