SET ROLE :adm_ka_owner;
BEGIN;

CREATE OR REPLACE VIEW ka_global_dokumente_tbl_view
    AS SELECT ka_dokumente_tbl.id,
              ka_dokumente_tbl.master_id,
              ka_dokumente_tbl.groesse,
              ka_dokumente_tbl.mime,
              ka_dokumente_tbl.daten,
              ka_dokumente_tbl.name,
              ka_dokumente_tbl.datum
         FROM ka_dokumente_tbl
        WHERE ka_dokumente_tbl.master_id IS NULL
          AND ka_dokumente_tbl.benutzer_id IS NULL;

CREATE OR REPLACE RULE ka_global_dokumente_delete_rule
    AS ON DELETE TO ka_global_dokumente_tbl_view
       DO INSTEAD NOTHING;

CREATE OR REPLACE RULE ka_global_dokumente_insert_rule
    AS ON INSERT TO ka_global_dokumente_tbl_view
       DO INSTEAD NOTHING;

CREATE OR REPLACE RULE ka_global_dokumente_update_rule
    AS ON UPDATE TO ka_global_dokumente_tbl_view
       DO INSTEAD
          UPDATE ka_dokumente_tbl
             SET groesse = new.groesse,
                 mime = new.mime,
                 daten = new.daten,
                 name = new.name,
                 datum = new.datum
           WHERE ka_dokumente_tbl.id = new.id;

GRANT SELECT ON ka_global_dokumente_tbl_view TO GROUP :cm_group;
GRANT SELECT ON ka_global_dokumente_tbl_view TO GROUP :admin_group;
GRANT UPDATE ON ka_global_dokumente_tbl_view TO GROUP :admin_group;

CREATE OR REPLACE VIEW ka_fall_dokumente_tbl_view
    AS SELECT ka_dokumente_tbl.id,
              ka_dokumente_tbl.uuid_id,
              ka_dokumente_tbl.master_id,
              ka_dokumente_tbl.groesse,
              ka_dokumente_tbl.mime,
              ka_dokumente_tbl.daten,
              ka_dokumente_tbl.name,
              ka_dokumente_tbl.datum
         FROM ka_dokumente_tbl
   INNER JOIN master_tbl ON ka_dokumente_tbl.master_id = master_tbl.id
        WHERE master_tbl.bearbeiter_id = getuserid()
           OR master_tbl.id
              IN (SELECT nm.master_id
                    FROM nm_benutzer_master_tbl nm
                   WHERE nm.benutzer_id
                         IN (SELECT nm2.gruppe_id
                               FROM nm_benutzer_gruppe_tbl nm2
                              WHERE nm2.benutzer_id = getuserid()))
           OR pg_has_role('admin','MEMBER');

CREATE OR REPLACE RULE ka_fall_dokumente_delete_rule
    AS ON DELETE TO ka_fall_dokumente_tbl_view
       DO INSTEAD NOTHING;

CREATE OR REPLACE RULE ka_fall_dokumente_insert_rule
    AS ON INSERT TO ka_fall_dokumente_tbl_view
       DO INSTEAD NOTHING;

CREATE OR REPLACE RULE ka_fall_dokumente_update_rule
    AS ON UPDATE TO ka_fall_dokumente_tbl_view
       DO INSTEAD
          UPDATE ka_dokumente_tbl
             SET groesse = new.groesse,
                 mime = new.mime,
                 daten = new.daten,
                 name = new.name,
                 datum = new.datum
           WHERE ka_dokumente_tbl.id = new.id;

GRANT SELECT ON ka_fall_dokumente_tbl_view TO GROUP :cm_group;
GRANT UPDATE ON ka_fall_dokumente_tbl_view TO GROUP :cm_group;
GRANT SELECT ON ka_fall_dokumente_tbl_view TO GROUP :admin_group;


CREATE OR REPLACE VIEW ka_benutzer_dokumente_tbl_view
    AS SELECT ka_dokumente_tbl.id,
              ka_dokumente_tbl.uuid_id,
              ka_dokumente_tbl.groesse,
              ka_dokumente_tbl.mime,
              ka_dokumente_tbl.daten,
              ka_dokumente_tbl.name,
              ka_dokumente_tbl.datum
         FROM ka_dokumente_tbl
        WHERE ka_dokumente_tbl.benutzer_id = getuserid();

CREATE OR REPLACE RULE ka_benutzer_dokumente_delete_rule
    AS ON DELETE TO ka_benutzer_dokumente_tbl_view
       DO INSTEAD NOTHING;

CREATE OR REPLACE RULE ka_benutzer_dokumente_insert_rule
    AS ON INSERT TO ka_benutzer_dokumente_tbl_view
       DO INSTEAD NOTHING;

CREATE OR REPLACE RULE ka_benutzer_dokumente_update_rule
    AS ON UPDATE TO ka_benutzer_dokumente_tbl_view
       DO INSTEAD
          UPDATE ka_dokumente_tbl
             SET groesse = new.groesse,
                 mime = new.mime,
                 daten = new.daten,
                 name = new.name,
                 datum = new.datum
           WHERE ka_dokumente_tbl.id = new.id;

GRANT SELECT ON ka_benutzer_dokumente_tbl_view TO GROUP :cm_group;
GRANT UPDATE ON ka_benutzer_dokumente_tbl_view TO GROUP :cm_group;
GRANT SELECT ON ka_benutzer_dokumente_tbl_view TO GROUP :admin_group;


COMMIT;
