#!/usr/bin/python
# -*- coding: utf-8 -*-
import sys
import psycopg2

INSERT1 = """\
INSERT INTO ka_konfiguration_tbl (bez, wert) VALUES ('meta_transfer', 'off');"""


def insert_all(port, dblist):
    ok, total = 0, 0
    for db in dblist:
        ok += insert1(port, db)
        total += 1
    print "Insert meta_transfer into %d/%d databases" % (ok, total)

def insert1(port, db):
    try:
        con = psycopg2.connect(database="ka_" +db+"_db", port=port)
        cur = con.cursor()
        cur.execute(INSERT1)
        con.commit()
        return 1
    except psycopg2.DatabaseError, e:
        print "Error inserting into database %s: %s" (db, e)
    finally:
        if con:
            con.close()
    return 0    

def read_csv_list(f1):
    dblist = []
    for line in f1:
        if line.strip() and line.split(',')[0].strip():
            dblist.append(line.split(',')[0].strip())
    return dblist


def main():
    if len(sys.argv) -1 != 2:
        print "set_meta_transfer.py <port> <csv dblist>"
        return
    port = sys.argv[1]
    input1 = open(sys.argv[2])
    dblist = read_csv_list(input1)
    input1.close()
    print "Insert into ka_konfiguratio_tbl meta_transfer with off"
    insert_all(port, dblist)
main()
