#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Copyright 2015 Intevation GmbH, Germany, <info@intevation.de>
# Authors:
# Felix Wolfsteller <felix.wolfsteller@econya.de>

import unittest

from formed.renderer.helpers import tag
from formed.renderer.html import HtmlRenderer

from formed.meta.data import PageNode

# Mocked objects
class ContextMock(object):
    pass


class NCMock(object):
    def getDescription(self):
        return "mocked description"


class DataMock(object):
    def full_item_name(self, nc):
        return "mocked item name"
    def has_errors(self, nc):
        return False
    def get_errors(self,nc):
        return {}

class TestHtmlRenderer(unittest.TestCase):
    """ Tests for HtmlRenderer s output. """

    def test_render_label(self):
        page = PageNode() # view_root -> PageNode
        url_factory = None
        renderer = HtmlRenderer(DataMock(), page, url_factory)

        label = renderer.render_label(ContextMock(), NCMock(), "mock-id")
        expected_label = ('<label for="mock-id">' 
                         '<a class="" name="f_mock-id">'
                         'mocked description</a></label>')

        self.assertEquals("".join(label), expected_label)


if __name__ == "__main__":
    unittest.main()

